Skip to main content
POST
/
commerce
/
customer
/
b2baccounts
/
roles
Error
A valid request URL is required to generate request examples
{
  "accountIds": [
    123
  ],
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "behaviors": [
    123
  ],
  "id": 123,
  "isSystemRole": true,
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Role payload containing name, behaviors, and accountIds

accountIds
integer<int32>[] | null

List of Account IDs associated with this role. Required for CreateRole and UpdateRole operations.

auditInfo
object
behaviors
integer<int32>[] | null

List of Role Behaviors

id
integer<int32>

Unique Identifier for the Role

isSystemRole
boolean

Indicate if the Role is a System Role or Custom Role

name
string | null

Name for the Role

Response

Success

accountIds
integer<int32>[] | null

List of Account IDs associated with this role. Required for CreateRole and UpdateRole operations.

auditInfo
object
behaviors
integer<int32>[] | null

List of Role Behaviors

id
integer<int32>

Unique Identifier for the Role

isSystemRole
boolean

Indicate if the Role is a System Role or Custom Role

name
string | null

Name for the Role